Index Page wnunid_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void wnunid_c ( SpiceCell   * a,
                       SpiceCell   * b,
                       SpiceCell   * c )

#### Abstract

       Place the union of two double precision windows into a third
       window.

#### Required_Reading

       WINDOWS

#### Keywords

       WINDOWS

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       a,
       b          I   Input windows.
       c          O   Union of a and b.

#### Detailed_Input

       a,
       b           are CSPICE windows, each of which contains zero or more
                   intervals.

                   a and b must be declared as double precision
                   SpiceCells.

#### Detailed_Output

       c           is the output CSPICE  window, containing the union of
                   a and b---every point contained in a, or in b,
                   or in both.

                   c must be declared as a double precision SpiceCell.

                   c must be distinct from both a and b.

#### Parameters

       None.

#### Exceptions

       1) If any of the function arguments are SpiceCells of type
          other than double precision, the error SPICE(TYPEMISMATCH)
          is signaled.

       2) If the union of the two windows results in an excess of
          elements, the error SPICE(WINDOWEXCESS) is signaled.

#### Files

       None.

#### Particulars

       The union of two windows contains every point contained in the
       first window, or the second window, or both.

#### Examples

       Let a contain the intervals

             [ 1, 3 ]  [ 7, 11 ]  [ 23, 27 ]

       and b contain the intervals

             [ 2, 6 ]  [ 8, 10 ]  [ 16, 18 ]

       Then the union of a and b contains the intervals

             [ 1, 6 ]  [ 7, 11 ]  [ 16, 18 ]  [ 23, 27 ]

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       H.A. Neilan     (JPL)
       B.V. Semenov    (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)

#### Version

       -CSPICE Version 1.0.1, 11-FEB-2013 (BVS)

           Corrected typo in Brief I/O section.

       -CSPICE Version 1.0.0, 29-JUL-2002 (NJB) (HAN) (WLT) (IMU)

#### Index_Entries

       union two d.p. windows

#### Link to routine wnunid_c source file wnunid_c.c

    Wed Apr  5 17:54:48 2017